Update a work order
curl --request PUT \
--url https://app.lanten.co/api/open/v1/work-orders/{workOrderId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"availability": "<string>"
}
'import requests
url = "https://app.lanten.co/api/open/v1/work-orders/{workOrderId}"
payload = {
"title": "<string>",
"description": "<string>",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"unitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"availability": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
tenantId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
unitId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
availability: '<string>'
})
};
fetch('https://app.lanten.co/api/open/v1/work-orders/{workOrderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "WO-101",
"title": "<string>",
"description": "<string>",
"availability": "<string>",
"selfResolved": true,
"resolvedAt": "2023-11-07T05:31:56Z",
"tenant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com"
},
"unit": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"fullAddress": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Work orders
Update a work order
PUT
/
work-orders
/
{workOrderId}
Update a work order
Authorizations
Path Parameters
Body
application/json
Maximum string length:
260Available options:
reported, in_progress, completed, cancelled Priority level: 0 = Emergency, 1 = High, 2 = Medium (default), 3 = Low
Available options:
0, 1, 2, 3 Maximum string length:
260Response
Updated work order
Show child attributes
Show child attributes
⌘I
